DNF5-SWAP(8)

BEZEICHNUNG
dnf5-swap - Swap-Befehl

ÜBERSICHT

dnf5 swap [Optionen] zu-entfernendes-Paket zu-installierendes-Paket

BESCHREIBUNG

Der swap-Befehl in DNF5 wird dazu verwendet, in einer einzigen Transaktion ein Paket zu entfernen und gleichzeitig ein anderes zu installieren. Sowohl das zu-entfernende-Paket als auch das zu-installierende-Paket müssen Paketangaben sein.

OPTIONEN

    --allowerasing
        erlaubt das Entfernen installierter Pakete, um potenzielle Abhängigkeitsprobleme zu lösen.

    --installed-from=PAKETQUELLEN-ID, …
        filtert installierte Pakete nach der ID der Paketquelle, aus der sie installiert wurden.

    --from-repo=PAKETQUELLEN-ID, …
        sucht Pakete (oder deren Bereitstellungen), die explizit in der Befehlszeile angegeben werden, nur in den angegebenen Paketquellen. Diese Paketquellen sind automatisch aktiviert. Die Aktivierung und Deaktivierung von Paketquellen wird weiterhin berücksichtigt. Abhängigkeiten dieser Pakete werden aus jeder aktivierten Paketquelle aufgelöst.

    --from-vendor=ANBIETER, …
        zeigt eine Liste der Anbieter an, getrennt durch Kommata oder Leerraum. Glob-Muster werden unterstützt (zum Beispiel --from-vendor='Fedora\ project, AnbieterA, AnbieterB*, AnbieterC')). Pakete (oder deren Provides), die explizit in der Befehlszeile angegeben werden, werden nur von den angegebenen Anbietern bezogen. Die Anbieteränderungsprüfung ist für diese Pakete auf bypassed gesetzt. Der Anbieter wird ignoriert, oder die Anbieteränderungsrichtlinien (falls allow_vendor_change=0) werden weiterhin für Pakete angewendet, die Abhängigkeiten erfüllen.

    --offline
        speichert die Transaktion, um sie ohne Netzverbindung ausführen zu können. Siehe dnf5-offline(8), Offline-Befehl.

    --store=PFAD
        Speichert die aktuelle Transaktion in einem Verzeichnis unter dem angegebenen PATH, anstatt sie auszuführen. Die gespeicherte Transaktion kann mit dem replay-Befehl dnf5-replay(8) ausgeführt werden. Beachten Sie, dass die Paketquellen-IDs in der gespeicherten Transaktion zu @stored_transaction(repo_id) umbenannt werden. Dies ist erforderlich, da die gespeicherten Paketquellen beim Aufrufen und Ausführen der Transaktion neu erstellt werden und mit bereits vorhandenen Paketquellen kollidieren könnten. (Dies gilt nicht für die spezielle @System-Paketquelle.)

BEISPIELE

    dnf5 swap mlocate plocate
        Entfernt in einer einzigen Transaktion das Paket mlocate und installiert stattdessen plocate.

SIEHE AUCH
        dnf5-specs(7), Muster-Spezifikation <#specs-misc-ref-label>

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).